%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:           zapplet
Version:        0.1
Release:        14%{dist} 
Summary:        Zenoss Tray Applet
Group:          Applications/Communications
License:        GPLv2+
URL:            http://zapplet.sourceforge.net
Source0:        http://downloads.sourceforge.net/zapplet/zapplet-%{version}.tar.gz
Source1:        http://ke4qqq.fedorapeople.org/zapplet/README.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
Requires:       pygtk2 
BuildArch:      noarch

%description
Zapplet is a tray applet for monitoring aspects of Zenoss from the desktop. 

%prep
%setup -q -n zapplet-%{version}
cp %{SOURCE1} ./README.fedora
%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

desktop-file-install --add-category="Network" --dir=%{buildroot}%{_datadir}/applications zapplet.desktop
rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/zapplet.desktop

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/%{name} 
%{_datadir}/applications/zapplet.desktop
%doc README.fedora

%changelog
* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-14
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 David Nalley <david@gnsa.us> 0.1-4
- Made changes suggested by ianweller to fix cvs issues
* Sun Dec 28 2008 David Nalley <david@gnsa.us> 0.1-3
- Made changes suggested by Brian Pepple
* Sat Dec 27 2008 David Nalley <david@gnsa.us> 0.1-2
- Making corrections suggested by Fabian Affolter
* Sun Dec 14 2008 David Nalley <david@gnsa.us> 0.1-1
- Initial packaging efforts

